GNU bug report logs - #39801
CUPS web admin page hangs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: hot12shots <hot12shots@HIDDEN>; merged with #42068; dated Wed, 26 Feb 2020 15:22:03 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 39801 42068. Request was from Marius Bakke <marius@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Feb 2020 15:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 26 10:21:32 2020
Received: from localhost ([127.0.0.1]:57597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1j6yVA-0005tN-HO
	for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 10:21:32 -0500
Received: from lists.gnu.org ([209.51.188.17]:35240)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <hot12shots@HIDDEN>) id 1j6tWi-0001zL-36
 for submit <at> debbugs.gnu.org; Wed, 26 Feb 2020 05:02:48 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:37803)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <hot12shots@HIDDEN>) id 1j6tWg-0002k2-QL
 for bug-guix@HIDDEN; Wed, 26 Feb 2020 05:02:47 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <hot12shots@HIDDEN>) id 1j6tWf-0003Qp-IY
 for bug-guix@HIDDEN; Wed, 26 Feb 2020 05:02:46 -0500
Received: from mail-io1-xd32.google.com ([2607:f8b0:4864:20::d32]:39133)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <hot12shots@HIDDEN>)
 id 1j6tWf-0003Mz-A5
 for bug-guix@HIDDEN; Wed, 26 Feb 2020 05:02:45 -0500
Received: by mail-io1-xd32.google.com with SMTP id c16so2692347ioh.6
 for <bug-guix@HIDDEN>; Wed, 26 Feb 2020 02:02:44 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=DaHNzDrj5J07PZ+uaUiIK8w0RoMilcvbgMaHhG1ksX8=;
 b=epL0p+hLDGDHmMdqq+lyqJFptiOu91H7MsAe7ty/I0PF0nRD+HpfDsmN3Dhix5MYZV
 Wjev6fTG0b5wgKpNSXA385WCTKDQsbqsqy1mjwkfqXMn8dRc+GRpSObdN/rrav1j2WXt
 vP4UMhCvQwqn7oTdhkuq/tB54jGyng2Kfxdf2b1VBwtQiUhcjpAvrtrOQqps7caNOhmx
 41INr+4U5YSMffCfO1EJvnFHRp1/93GqzNqsH2KC+ENa/Ulmvb/w90Djt9oc2TBaTE7y
 Y1HjltWuJKlayfm6hOqevdCL2sucwKPNchqNUmIcgY+ynE4fvp8rD3f/92TBqqkJAivR
 /weQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=DaHNzDrj5J07PZ+uaUiIK8w0RoMilcvbgMaHhG1ksX8=;
 b=bNVJlXb3Jzh00yb1rdpuYKEkOZXwW9JUOnNnFsQSNY8v1QRvPqzjKodtHvT9JGF5d1
 5s4FQw3yK3azVo6swQrE0hHnzKwdpGdPm5U20Nq+mNw/XzLIse3dbPv/FJdI46nTJh0q
 Rda7ri0b1n27u4+gDNaKpE2vlF4cKGBfYkus+eywo1X7Eo75Xq2A2VStpUr8EK9FW5Qf
 mVlTXDVXuom7PPKkCPcQkUmU4HDz+jxL0Aa9+qeW470tbNRSBtKYmWCAzhf4pXDLSmBk
 bFBgODq24XgQGw3SVMrOAdaGyCIyy5wzgJniVQcrUT4DACPj50olj39LEe8uBagN8q0G
 hMbA==
X-Gm-Message-State: APjAAAWHzKq0QX0pe2tG6ZXjdrUKfYJ0wS/VU4cAKVppJQYBVjrN6XkQ
 /AVIs6ZO43iIHwR5lill24GVqnsfPaEHq/LP1hcEzQ==
X-Google-Smtp-Source: APXvYqzQLf8jCmd8MW6CLiE/qYcN5f2mvLEfvsTmKTWGUYri+TGELEv+qU3EzljY1VG4Q4HSfh9+Z2GEdvD2pqyQH5w=
X-Received: by 2002:a5d:9c05:: with SMTP id 5mr3169750ioe.18.1582711364022;
 Wed, 26 Feb 2020 02:02:44 -0800 (PST)
MIME-Version: 1.0
From: hot12shots <hot12shots@HIDDEN>
Date: Wed, 26 Feb 2020 10:02:33 +0000
Message-ID: <CAAkdc5Dy-=TUZY7oYnZ0VA7AMoHEfYB1OC-2SVEzbP075EstUg@HIDDEN>
Subject: CUPS web admin page hangs
To: bug-guix@HIDDEN
Content-Type: multipart/mixed; boundary="000000000000a2b2e4059f77b459"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::d32
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 26 Feb 2020 10:21:31 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--000000000000a2b2e4059f77b459
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi,

The CUPS web interface in my Guix system hangs when loading the admin
page, making it cumbersome to manage CUPS printers and settings. The
cause appears to be that the web interface CGI scripts expect a config
file in the wrong location.


HOW TO REPRODUCE:

My system is running Guix commit 290b55c55a5 with the following CUPS
configuration:

        (service cups-service-type
          (cups-configuration
            (web-interface? #t)
            (log-level 'debug)
            (extensions (list cups-filters
                              foomatic-filters
                              hplip-minimal))))

I load http://localhost:631/admin in a browser (Icecat). Expected
behavior is for the page to load immediately. Actual behavior is the
page hangs for a minute or two, displaying a blank screen. Eventually
the expected Administration page loads, but is missing some controls
and displays "Unable to open cupsd.conf file: Success."


DETAILS:

Excerpt from /var/log/cups/error_log is attached. Note especially
CUPS_SERVERROOT=3D/etc/cups.

Output of =E2=80=98ps -ef | grep cupsd=E2=80=99:

        root      6374     1  0 00:29 ?        00:00:01
/gnu/store/wxg6fa0d1hlna6gg2nrn51fkq68q7fy9-cups-2.3.1/sbin/cupsd -f
-c /gnu/store/6i13apvx94y7q61rh3hsj7fhjb6brgf4-cupsd.conf -s
/gnu/store/nxzmy9s6inia31wvhrcrzcf66rb4v4pp-cups-files.conf

Output of =E2=80=98sudo strace -p `pidof cupsd` -f -e file=E2=80=99 while r=
efreshing
the Administration page contains a number of entries like this:

        [pid  8423] access("/etc/cups/cupsd.conf", R_OK) =3D -1 ENOENT
(No such file or directory)

The directory /etc/cups exists but contains only ssl/ and ppd/
subdirectories, no cupsd.conf.

If I create a symlink /etc/cups/conf.d ->
/gnu/store/6i13...-cupsd.conf, the Administration page now loads
without any issue.

In addition, I noticed that (per Guix manual) the server-root field of
the CUPS service=E2=80=99s files-configuration section defaults to /etc/cup=
s.
If I set that field to /gnu/store/wxg6...-cups-2.3.1/etc/cups (see the
cupsd command line above) then run =E2=80=98guix system reconfigure=E2=80=
=99 and
restart cupsd, the web interface again works as expected.

Finally, note that the ServerRoot field of
/gnu/store/nxzm...-cups-files.conf is set to
/gnu/store/wxg6...-2.3.1/etc/cups (again see cupsd command line
above).


COMMENTARY:

From examining the CUPS sources, it appears the web admin interface
expects to find cupsd.conf in CUPS_SERVERROOT solely to make the "Edit
Configuration File" feature work. This feature doesn't seem very
useful on Guix since the config file lives in the (read-only) store.
However, the file still needs to be present in order to satisfy the
admin page CGI script and keep it from hanging.

Thus, perhaps the problem could be solved by having the service make a
symlink /etc/cups/cupsd.conf pointing at its generated cupsd.conf
file.


Thanks,

Jacob

--000000000000a2b2e4059f77b459
Content-Type: application/octet-stream; name=log
Content-Disposition: attachment; filename=log
Content-Transfer-Encoding: base64
Content-ID: <f_k731c3v80>
X-Attachment-Id: f_k731c3v80
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--000000000000a2b2e4059f77b459--




Acknowledgement sent to hot12shots <hot12shots@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#39801; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 27 Jun 2020 09:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.